# frozen_string_literal: true

require 'erratum/errors/authentication/invalid_token'

module  Apiphobic
module  Errors
class   Expired < ::Erratum::Errors::InvalidToken
  attr_accessor :expired_at

  def title
    'Token Is Expired'
  end

  def detail
    <<~HEREDOC.chomp.tr("\n", ' ')
      This token has already expired.  It expired on '#{expired_at.iso8601}'.
    HEREDOC
  end

  def source
    {
      'expired_at' => expired_at.iso8601,
    }
  end
end
end
end
