# frozen_string_literal: true

require 'erratum/errors/authentication/invalid_token'

module  Apiphobic
module  Errors
class   FutureIssuance < ::Erratum::Errors::InvalidToken
  attr_accessor :issued_at

  def title
    'Invalid Issuance'
  end

  def detail
    <<~HEREDOC.chomp.tr("\n", ' ')
      The date at which this token was issued (#{issued_at.iso8601}) is
      invalid.
    HEREDOC
  end

  def source
    {
      'issued_at' => issued_at,
    }
  end
end
end
end
