# frozen_string_literal: true

require 'erratum/errors/authentication/invalid_token'

module  Apiphobic
module  Errors
class   InvalidAttribute < ::Erratum::Errors::InvalidToken
  attr_accessor :attribute_name,
                :attribute_value,
                :additional_message

  def title
    'Invalid Attribute'
  end

  def detail
    <<~HEREDOC.chomp.tr("\n", ' ')
      The #{attribute_name} listed in your token (#{attribute_value}) is not
      valid for this application. #{additional_message}
    HEREDOC
  end

  def source
    {
      attribute_name => attribute_value,
    }
  end
end
end
end
