# frozen_string_literal: true

require 'erratum/errors/authentication/invalid_token'

module  Apiphobic
module  Errors
class   Unavailable < ::Erratum::Errors::InvalidToken
  attr_accessor :available_at

  def title
    'Token Is Unavailable'
  end

  def detail
    <<~HEREDOC.chomp.tr("\n", ' ')
      The token you passed is not yet usable. Please wait until
      '#{available_at.iso8601}' to try again.
    HEREDOC
  end

  def source
    {
      'available_at' => available_at,
    }
  end
end
end
end
