# frozen_string_literal: true

module  Apiphobic
module  Tokens
module  RolePredicable
  def method_missing(name, *args)
    if role_predicates.include?(name)
      roles.map(&:to_s).include?(name.to_s.gsub(/\?\z/, ''))
    else
      super
    end
  end

  def respond_to_missing?(name, include_all)
    role_predicates.include?(name) || super
  end

  private

  def role_predicates
    configuration.available_roles.map { |r| "#{r}?".to_sym }
  end
end
end
end
